MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021961Open CASCADE[OCCT] OCCT:Meshpublic2010-08-13 18:102014-04-15 14:20
Reporterabv 
Assigned Topdn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.4.0 
Summary0021961: Paralleling BRepMesh using Intel TBB tools
DescriptionThis record is made for integration of long-term development of parallelized
version of BRepMesh component. Now it uses Intel TBB library for both
paralleling tools and memory manager.

Parallel processing is available on WNT and Linux only and requires TBB library
installed. Configuration options for TBB (installed currently on Linux in /dn04/
KAS/dev/abv-parallex/work) are added in adm/CSF.edl, *_CMPLRS.edl files in
Standard and BRepMesh packages, and EXTERNLIB files in the same packages.

Parallel execution of BRepMesh (Incremental Mesh algorithm) is used when
Standard::IsReentrant() is True; otherwise (or when TBB is not available) usual
"for" cycle is applied.

Additional option MMGT_OPT=2 is supported; it uses TBB memory allocator instead
of OCCT one (=1, current default) and standard RTL one (=0).
TagsNo tags attached.
Test case number
Attached Filesgz file icon parallel-brepmesh-v4-abv.tar.gz (40,012 bytes) 2010-08-13 18:10
gz file icon parallel-brepmesh-v5-abv.tar.gz (51,448 bytes) 2010-08-13 18:55
xls file icon test-parallex-20100813.xls (188,928 bytes) 2010-08-14 19:42
xls file icon test-parallex-20100816.xls (188,416 bytes) 2010-08-16 09:43
gz file icon parallel-brepmesh-v6-abv.tar.gz (51,892 bytes) 2010-08-17 19:43
? file icon shd002A8-f204.brep (6,763 bytes) 2010-08-18 16:31
gz file icon parallel-brepmesh-v7-pdn.tar.gz (79,223 bytes) 2010-08-18 18:36
gz file icon parallel-brepmesh-v8-pdn.tar.gz (91,111 bytes) 2010-08-20 14:59

- Relationships
related to 0024826closedbugmaster Community Wrapping of parallelisation algorithms 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-08-17 17:58 bugmaster Assigned To bugmaster => abv
2010-08-17 17:58 bugmaster Status new => assigned
2010-08-18 13:09 abv Assigned To abv => pdn
2010-08-18 18:36 pdn Status assigned => resolved
2010-08-19 15:36 bugmaster Status resolved => assigned
2010-08-20 14:59 pdn Status assigned => resolved
2010-08-26 19:07 apv CC => apv
2010-09-06 14:47 bugmaster Status resolved => verified
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2012-11-09 10:38 abv Category OCCT:Modeling Algorithms => OCCT:Mesh
2012-11-09 10:38 abv Description Updated View Revisions
2014-04-15 14:20 kgv Relationship added related to 0024826


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker